Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.util.debug
Class Level

    java.lang.Object
      com.enterprisedt.util.debug.Level

    public class Level

extends java.lang.Object

Simple debug level class. Uses the same interface (but not implementation) as log4j, so that the debug classes could be easily replaced by log4j (by changing imports - too dangerous to rely on class path and using the same package names)

Version:
  $Revision: 1.8 $
Author:
  Bruce Blackshaw

Field Summary
`static Level` | `ALL` All level
`static java.lang.String` | `cvsId` Revision control id
`static Level` | `DEBUG` Debug level
`static Level` | `ERROR` OFF level
`static Level` | `FATAL` Fatal level
`static Level` | `INFO` Info level
`static Level` | `OFF` Off level
`static Level` | `WARN` Warn level

Method Summary
`int` | `getLevel()` Get integer log level
`static Level` | `getLevel(java.lang.String level)` Get level from supplied string
`java.lang.String` | `toString()` String representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cvsId

    public static final java.lang.String cvsId

  Revision control id

  See Also:
    Constant Field Values

### OFF

    public static final Level OFF

  Off level

### FATAL

    public static final Level FATAL

  Fatal level

### ERROR

    public static final Level ERROR

  OFF level

### WARN

    public static final Level WARN

  Warn level

### INFO

    public static final Level INFO

  Info level

### DEBUG

    public static final Level DEBUG

  Debug level

### ALL

    public static final Level ALL

  All level

Method Detail

### getLevel

    public int getLevel()

  Get integer log level

  Returns:
    log level

### getLevel

    public static Level getLevel(java.lang.String level)

  Get level from supplied string

  Parameters:
    `level` - level as a string
  Returns:
    level object or null if not found

### toString

    public java.lang.String toString()

  String representation

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.